#README#


### Que contiene este repositorio? ###

* Este repositorio contiene un programa de procesamiento de imagenes mediante el cual utilizando la transformada de Hough se detectan los circulos de la imagen.

### Integrantes ###

* Martin Heredia
* Laouen Belloli

### Requisitos ###

* Linux 64 bit
* Procesador Intel Pentium 4 o mayores
* OpenCV 2.4.9
* g++ 4.8.4 o mayores
* webcam

### Links ###

http://docs.opencv.org/2.4/
https://gcc.gnu.org/

### Como correr el programa ###

Una vez parado sobre la raiz del proyecto escribir en la terminal:
```
#!bash
cd orga2-tpfinal/codigo/main
make all
./main
```

### Como correr los experimentos ###

Correr los scripts bash situados en la carpeta experimentacion/scripts.
Los resultados gráficos son mostrados automaticamente por los scripts recién mensionados. Si se desea acceder a los archivos .csv con los datos de los experimentos que fueron gráficados, los mismos quedan guardados con el mismo nombre que el script (sacando el prefijo "correr_" y con extension .csv) en la carpeta experimentacion/resultados. 

De forma similar para el experimento de robustes (script "experimentacion/scripts/correr_robustes.sh") las imágenes generadas quedan situadas en la carpeta experimentacion/resultados/img/robustes.

Por último, las imágenes utilizadas por los scripts de los experimentos se encuentran guardadas en la carpeta experimentacion/img/ con los mismos nombres que los scripts (sin el prefijo "correr_" ni "correr_tiempos_"). 

Las imagenes utilizadas en el experimento del scripts "experimentacion/scripts/correr_tiempos_cantidad_bordes.sh" son generadas por el mismo código del experimento utilizando OpenCV-2.4.9 y son guardadas automaticamente en la carpeta experimentacion/resultados/img/tiempos_cantidad_bordes, es importante que esta carpeta exista antes de correr el experimento. Nota: la cantidad de imágenes generadas por este experimento es considerablemente alta, por lo cual se requiere tener espacio en el disco. En caso de que no se desee ver estas imágenes se puede comentar la linea 42 del archivo "experimentacion/tiempos_cantidad_bordes.cpp" y las son generadas pero no guardadas en disco.